
My blood pressure and heart rate had fallen. I remember watching people work on me. I was looking on from above them. I heard everything they said and did. The doctor couldn't get a central line on me. The scene was chaos. I had been kooky prior to this experience from high fever, concussion and the narcotics I was given. After this experience, I started to heal and remember things. Prior to this experience my husband was called and told to come immediately, I was dying.
